<template>
  <div class="frame frame-bg-03">
    <div class="center">
      <div class="circle">
        <div class="sky"></div>
        <div class="sun"></div>
        <div class="left-side"></div>
        <div class="right-side"></div>
        <div class="shadow"></div>
        <div class="sand"></div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Day03'
}
</script>

<style>
/* https://cubic-bezier.com/#.17,.67,.83,.67 */
/* https://bennettfeely.com/clippy/ */

:root {
  --cubic-bezier-3: cubic-bezier(.4,0,.49,1);
}
.frame-bg-03 {
  background-color: #272C34;
}
.circle {
  position: relative;
  width: 180px;
	height: 180px;
  clip-path: circle(50% at 50% 50%);
  overflow: hidden;
  border-radius: 50%;
}
.sky {
  position: absolute;
  height: 124px;
  top: 0;
  left: 0;
  right: 0;
  z-index: 0;
  animation: sky-turns-black 4s var(--cubic-bezier-3) infinite;
}
.sun {
  position: absolute;
  z-index: 2;
  border-radius: 50%;
  width: 34px;
	height: 34px;
  top: 7px;
  left: 73px;
  background-color: yellow;
  transform-origin: 50% 400%;
  animation: sun-goes-down 4s var(--cubic-bezier-3) infinite; 
}
.left-side {
  position: absolute;
  width: 69px;
  height: 60px;
  top: 64px;
  left: 25px;
  background-color: white;
  clip-path: polygon(100% 0, 0% 100%, 100% 100%);
  animation: pyramide-shading 4s var(--cubic-bezier-3) infinite;
}
.right-side {
  position: absolute;
  width: 69px;
  height: 60px;
  top: 64px;
  left: 94px;
  background-color: burlywood;
  clip-path: polygon(0 0, 0% 100%, 100% 100%);
  animation: pyramide-shading 4s var(--cubic-bezier-3) reverse infinite;
}
.shadow {
  position: absolute;
  width: 175px;
  z-index: 3;
  height: 44px;
  top: 124px;
  left: 0px;
  background-color: rgba(0,0,0,0.2);
  transform-origin: 60% 0%;
  clip-path: polygon(-4px 0%, 137px 0%, 195px 100%);
  animation: shadow-on-the-floor 4s var(--cubic-bezier-3) infinite;
}
.sand {
  position: absolute;
  width: 180px;
  top: 124px;
  height: 56px;
  animation: sand-shadow 4s var(--cubic-bezier-3) infinite;
}

/* Animaciones */
@keyframes sky-turns-black {
  0% {
    background-color: #272C34;
  }
  30% {
    background-color: darkcyan;
  }
  70% {
    background-color: darkcyan;
  }
  100% {
    background-color: #272C34;
  }
}

@keyframes sun-goes-down {
  0% {
    background-color: #272C34;
    transform: rotate(-70deg);
  }
  30% {
    background-color: yellow;
    transform: rotate(-28deg);
  }
  70% {
    background-color: yellow;
  }
  100% {
    background-color: #272C34;
    transform: rotate(70deg);
  }
}

@keyframes pyramide-shading {
  0% {
    background: #272C34;
  }
	30% {
		background: #F4F4F4;
	}	
	70% {
		background: #DDDADA;
	}
  100% {
    background: #272C34;
  }
}

@keyframes sand-shadow {
  0% {
    background-color: #272C34;
  }
  30% {
    background-color: burlywood;
  }
  70% {
    background-color: burlywood;
  }
  100% {
    background-color: #272C34;
  }
}

@keyframes shadow-on-the-floor {
  0% {
    transform: scaleY(0);
    clip-path: polygon(25px 0%, 164px 0%, 195px 100%);
  }
  30% {
    transform: scaleY(1);
    clip-path: polygon(25px 0%, 164px 0%, 195px 100%);
  }
  55% {
    transform: scaleY(.4);
  }
  75% {
    transform: scaleY(1);
  }
  100% {
    transform: scaleY(0);
    clip-path: polygon(25px 0px, 164px 0px, -5px 80%);
  }
}
</style>
